#include "animdraw.h"

//GraphicHandle
int AnimDraw::setImage(int apid, int ghandle){
	if (apid >= aplist.size()){
		aplist.push_back(animpat());
		//AnimPetern
		apid = aplist.size() -1;
	}
	aplist.at(apid).ghlist.push_back(ghandle);
	return(apid);

}
//SetAnimGap
int AnimDraw::setGap(int apid, int gap){
	if (apid >= aplist.size()){
		aplist.push_back(animpat());
		apid = aplist.size() -1;
	}
	aplist.at(apid).anigap = gap;
	return(apid);

}
//AnimDraw
void AnimDraw::draw(int apid, int x, int y){
	if(apid<0 || (int)aplist.size()<=apid) { // debug start
		char buffer[1024];
		wsprintf(buffer,"SEGV size=%u idx=%d\n",(int)aplist.size(),apid);
		MessageBox(GetMainWindowHandle(),buffer,"debug",MB_OK);
		return;
	} // debug end
	if (aplist.at(apid).ghlist.size() > 1){
		int curpat = GameFrame::getAnimCnt()
			/ aplist.at(apid).anigap%aplist.at(apid).ghlist.size();
		DrawGraph(x, y, aplist.at(apid).ghlist.at(curpat), true);
	}
	else{
		DrawGraph(x, y, aplist.at(apid).ghlist.at(0), true);
	}
}
//
void AnimDraw::draw(int apid, int x, int y, float rad){
	if (aplist.at(apid).ghlist.size() > 1){
		int curpat = GameFrame::getAnimCnt()
			/ aplist.at(apid).anigap%aplist.at(apid).ghlist.size();
		DrawRotaGraph(x, y, 1.0, rad,aplist.at(apid).ghlist.at(curpat), TRUE, FALSE);

	}
	else{
		DrawRotaGraph(x, y, 1.0, rad, aplist.at(apid).ghlist.at(0), TRUE, FALSE);
	}

}
vector<int> SoundBox::sounds;
int SoundBox::bgm = -1;

int SoundBox::set(int shandle){
	sounds.push_back(shandle);
	return(sounds.size() -1);
}
//playsound
void SoundBox::play(int snum){
	PlaySoundMem(sounds.at(snum), DX_PLAYTYPE_BACK);

}
//stopsounds
void SoundBox::stop(int snum){
	StopSoundMem(sounds.at(snum));
}
//BGMPlay
void SoundBox::playbgm(int snum){
	int newbgm = sounds.at(snum);
	if (bgm == newbgm) return;
	StopSoundMem(bgm);
	bgm = newbgm;
	PlaySoundMem(bgm, DX_PLAYTYPE_LOOP);
}
