#ifndef __ANIMDRAW_H__
#define __ANIMDRAW_H__

#include <vector>
#include "DxLib.h"
#include "gameframe.h"
using namespace std;

class AnimDraw{
	struct animpat{
		vector<int> ghlist;
		int anigap;
		animpat(){ anigap = 1; }
	};
	vector<animpat> aplist;
public:
	AnimDraw(){ //const
		aplist.push_back(animpat());
	}
	int setImage(int apid, int ghandle);
	int setGap(int apid, int gap);

	void draw(int apid, int x, int y);
	void draw(int apid, int x, int y, float rad);

};
class SoundBox{
	static vector<int>sounds;
	static int bgm;
public:
	static int set(int shandle);
	static void play(int snum);
	static void stop(int snum);
	static void playbgm(int snum);
};

#endif
