#ifndef __GAMEFRAME_H__
#define __GAMEFRAME_H__
#include <DxLib.h>
enum GAMESTATE{
	GAME_TITLE = 1, GAME_MAIN, GAME_OVER, GAME_CLEAR
};
class GameFrame{
	virtual void loadFiles()throw(int){}
	virtual void initStage(){}
	GAMESTATE gstate;
	int starttime;
	static unsigned int animcounter;
	static float idouryou[20];
	void setIdouHosei();
protected:
	virtual void drawGameTitle();
	virtual void drawGameMain();
	virtual void drawGameClear();
	virtual void drawGameOver();
	GAMESTATE setGameState(GAMESTATE state);
	int largefont, smallfont;
public:
	virtual ~GameFrame(){}
	void doMainLoop(int);
	static unsigned int getAnimCnt();
	static float IdouHosei(int);
};
#endif