#include "jiki.h"

void jikicontrol::loadFiles()throw(int){
	int gh[3];
	if (LoadDivGraph("media\\jiki.bmp", 3, 3, 1, 48, 32, gh) == -1)
		throw(-1);
	for (int i = 0; i < 3; i = i + 1){
		jikianim.setImage(0, gh[i]);
	}
	jikianim.setGap(0, 6);
	gh[0] = LoadGraph("media\\tama.bmp");
	if (gh[0] == -1)throw(-1);
	tamaanim.setImage(0, gh[0]);
}
void jikicontrol::init(){
	jikilist.clear();
	CharaData jiki;
	jiki.x = 0; jiki.y = 200; jiki.anim = &jikianim;
	jiki.life = 1;
	jiki.image_w = 48; jiki.image_h = 32;
	jiki.bounds_w = 20; jiki.bounds_h = 20;
	jiki.amode = A_NORMAL;
	jikilist.push_back(jiki);
	trigger = 0;
}
void jikicontrol::move(){
	list<CharaData>::iterator it;
	it = jikilist.begin();
	//move
	int key = GetJoypadInputState(DX_INPUT_KEY_PAD1);
	float df = GameFrame::IdouHosei(4);
	if (key& PAD_INPUT_UP)	(*it).y = (*it).y - df;
	if (key& PAD_INPUT_DOWN)(*it).y = (*it).y + df;
	if (key& PAD_INPUT_LEFT)(*it).x = (*it).x - df;
	if (key& PAD_INPUT_RIGHT)(*it).x = (*it).x + df;
	if ((*it).x < 0)(*it).x = 0;
	if ((*it).x > 608)	(*it).x = 608;
	if ((*it).y < 0)(*it).y = 0;
	if ((*it).y > 448)	(*it).y = 448;
	(*it).anim->draw(0, (*it).x, (*it).y);
	if (key& PAD_INPUT_A && (trigger == 0)){
		CharaData newtama;
		newtama.x = (*it).x + 24; newtama.y = (*it).y + 8;
		newtama.anim = &tamaanim;
		newtama.life = 1;
		newtama.image_w = 64; newtama.image_h = 16;
		newtama.bounds_w = 48; newtama.bounds_h = 12;
		newtama.amode = A_NORMAL;
		tamalist.push_back(newtama);
		trigger = 20;
	}
	if (trigger > 0) trigger = trigger - 1;
	it = tamalist.begin();
	while (it != tamalist.end()){
		if ((*it).x < 640 && (*it).life>0){
			(*it).x = (*it).x + GameFrame::IdouHosei(10);
			(*it).anim->draw(0, (*it).x, (*it).y);
			++it;
		}
		else{
			it = tamalist.erase(it);
		}
	}
}
