#include <cmath> // add
#include "teki.h"

void tekicontrol::loadFiles()throw(int){
	int scgh = LoadGraph("media\\teki01.bmp");
	if (scgh == -1)throw(-2);
	int gh = DerivationGraph(0, 0, 128, 96, scgh);
	tekianim.setImage(0, gh);
	gh = DerivationGraph(0, 96, 32, 32, scgh);
	tamaanim.setImage(1, gh);
	gh = DerivationGraph(32, 96, 32, 32, scgh);
	tamaanim.setImage(0, gh);
	gh = DerivationGraph(64, 96, 32, 32, scgh);
	tamaanim.setImage(0, gh);
	gh = DerivationGraph(96, 96, 32, 32, scgh);
	tamaanim.setImage(0, gh);
	tamaanim.setGap(0,8);
	//patdatmoveinit
	//if (10.0 / GameFrame::IdouHosei(10) >= 1.5){
		//printfDx("HarfMode");
		//for (int i = 0; i < PATMAX; i = i + 1){
			//bosspat[i][0] = bosspat[i][0] * 2;
			//bosspat[i][1] = bosspat[i][1] / 2;
			//bosspat[i][2] = bosspat[i][2] / 2;
		//}
	}

void tekicontrol::init(){
	tekilist.clear();
	CharaData teki;
	teki.x = 400; teki.y = 156; teki.anim = &tekianim;
	teki.life = 15;
	teki.image_w = 128; teki.image_h = 96;
	teki.bounds_w = 100; teki.bounds_h = 48;
	teki.amode = A_HARD;
	Beep(480,1000); // debug
	tekilist.push_back(teki);
	tamalist.clear();
	curpat = 0;
	repeat = bosspat[curpat][0];

}

void tekicontrol::move(float jx,float jy){
	list<CharaData>::iterator it;
	it = tekilist.begin();
	if(it==tekilist.end()){MessageBox(GetMainWindowHandle(),"You are an idiot!","debug",MB_OK);return;}
	(*it).anim->draw(0, (*it).x, (*it).y);
	//MainMove
	(*it).x = (*it).x + bosspat[curpat][1];
	(*it).y = (*it).y + bosspat[curpat][2];
	if (repeat > 0){
		repeat = repeat - 1;
	}
	else{
		curpat = curpat + 1;
		if (curpat >= PATMAX) curpat = 0;
		repeat = bosspat[curpat][0];
	}
	//shoot
	if (bosspat[curpat][1] + bosspat[curpat][2] == 0 && repeat < 25 && repeat%6== 0){
		CharaData newtama;
		newtama.x = (*it).x - 24; newtama.y = (*it).y + 32;
		newtama.anim = &tamaanim;
		newtama.life = 1;
		newtama.image_w = 32; newtama.image_h = 32;
		newtama.bounds_w = 20; newtama.bounds_h = 20;
		newtama.amode = A_MORTAL;
		tamalist.push_back(newtama);
	}
	tamamove();
	//
	if (repeat == 60){
		float dy = GameFrame::IdouHosei(8);
		podsally((*it).x + 64, (*it).y + 32, 20, 0, -dy);
		podsally((*it).x + 64, (*it).y + 32, 10, 0, -dy);
		podsally((*it).x + 64, (*it).y + 32, 20, 0, dy);
		podsally((*it).x + 64, (*it).y + 32, 10, 0, dy);
	}
	podmove(jx, jy);

}
void tekicontrol::podsally(float tx, float ty, int times, float dx, float dy){
	CharaData newpod;
	newpod.x = tx; newpod.y = ty; newpod.anim = &tekianim;
	newpod.life = 1;
	newpod.image_w = 32; newpod.image_h = 32;
	newpod.bounds_w = 24; newpod.bounds_h = 24;
	newpod.amode = A_NORMAL;
	newpod.yobi[0] = times;
	newpod.yobi[1] = dx * 10;
	newpod.yobi[2] = dy * 10;
	Beep(2000,1000); // debug
	tekilist.push_back(newpod);

}
void tekicontrol::podmove(float jx, float jy){
	list<CharaData>::iterator it;
	it = tekilist.begin();
	++it;
	while (it != tekilist.end()){
		if ((*it).life < 1 || (*it).x < -32 || (*it).x>640 || (*it).y < -32 || (*it).y>480){
			//
			it = tekilist.erase(it);
		}
		else{
			if ((*it).yobi[0] < 1){
				//
				float dx = jx - (*it).x;
				float dy = jy - (*it).y;
				float d = sqrt(dx*dx + dy*dy);
				(*it).yobi[1] = dx / d * GameFrame::IdouHosei(4) * 10;
				(*it).yobi[2] = dy / d * GameFrame::IdouHosei(4) * 10;
				(*it).yobi[0] = GetRand(40) + 40;
			}
			//
			(*it).x = (*it).x + (*it).yobi[1] / 10.0;
			(*it).y = (*it).y + (*it).yobi[2] / 10.0;
			(*it).yobi[0] = (*it).yobi[0] - 1;
			Beep(1000,20); // debug
			(*it).anim->draw(1, (*it).x, (*it).y);
			Beep(300,200); // debug
			++it;
		}

	}
}
void tekicontrol::tamamove(){
	list<CharaData>::iterator it;
	it = tamalist.begin();
	while (it != tamalist.end()){
		if ((*it).x > -32 && (*it).life > 0){
			(*it).x = (*it).x - GameFrame::IdouHosei(8);
			(*it).anim->draw(0, (*it).x, (*it).y);
			++it;
		}
		else{
			it = tamalist.erase(it);

		}
	}
}
tekicontrol::tekicontrol(){
	int temp[12][3] = { { 120, -2, 0 }, { 100, 0, 0 }, { 120, 2, 0 },
	{ 40, 0, -4 }, { 120, -2, 0 }, { 100, 0, 0 }, { 120, 2, 0 },
	{ 80, 0, 4 }, { 120, -2, 0 }, { 100, 0, 0 }, { 120, 2, 0 }, { 40, 0, -4 }
	};
	memcpy(bosspat, temp, sizeof(int) * 36);
}

